summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-11 14:04:35 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-11 14:04:35 +0200
commitf3ea58db9fbb8b01d67f66b9d24e3d0a05a07bb2 (patch)
treeb260cb3a8b69be1a8ad595e7b2d7d884a16e3aee /x11-wm
parent958f301e48b1f8d98ee13732004ff1ae5e5272c2 (diff)
Added awesome ebuild
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/awesome/Manifest1
-rw-r--r--x11-wm/awesome/awesome-3.5.5-r1.ebuild136
-rw-r--r--x11-wm/awesome/files/awesome-3.5.5-cflag-cleanup.patch12
-rw-r--r--x11-wm/awesome/files/awesome-3.5.5-util.lua-xdg-icons-fix.patch46
-rw-r--r--x11-wm/awesome/files/awesome-3.5_rc1-convert-path.patch12
-rw-r--r--x11-wm/awesome/files/awesome-gnome-3.session3
-rw-r--r--x11-wm/awesome/files/awesome-gnome-xsession.desktop7
-rw-r--r--x11-wm/awesome/files/awesome-gnome.desktop8
-rw-r--r--x11-wm/awesome/files/awesome-session90
-rw-r--r--x11-wm/awesome/files/awesome-xsession.patch9
-rw-r--r--x11-wm/awesome/files/kogaion-background.patch11
-rw-r--r--x11-wm/awesome/metadata.xml9
12 files changed, 344 insertions, 0 deletions
diff --git a/x11-wm/awesome/Manifest b/x11-wm/awesome/Manifest
new file mode 100644
index 00000000..dfe9d90c
--- /dev/null
+++ b/x11-wm/awesome/Manifest
@@ -0,0 +1 @@
+DIST awesome-3.5.5.tar.xz 719080 SHA256 bf30dbd7c4621742b2565919404f009588ea482574ddb85aaa5301bce5258d47 SHA512 2ca9af95afb8d07369da89c18f34889158dc387c570ac5f591ee05c1867d6a88197e02c29fae6666d3b684ed9a783d5bcfae995c98cbf0a5e29237f317d2870f WHIRLPOOL 94d5a5908d5b671389db5a44392ca051841e5b42e962e2420218595636897d1c7e5a5972b9e790799ba31a6c897fc02e3bd601302debd39bb4627acb4e83d779
diff --git a/x11-wm/awesome/awesome-3.5.5-r1.ebuild b/x11-wm/awesome/awesome-3.5.5-r1.ebuild
new file mode 100644
index 00000000..e735d448
--- /dev/null
+++ b/x11-wm/awesome/awesome-3.5.5-r1.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/awesome/awesome-3.5.5-r1.ebuild,v 1.1 2014/08/25 03:32:27 prometheanfire Exp $
+
+EAPI="5"
+CMAKE_MIN_VERSION="2.8"
+inherit cmake-utils eutils
+
+DESCRIPTION="A dynamic floating and tiling window manager"
+HOMEPAGE="http://awesome.naquadah.org/"
+SRC_URI="http://awesome.naquadah.org/download/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="dbus doc elibc_FreeBSD gnome"
+
+COMMON_DEPEND="
+ >=dev-lang/lua-5.1
+ dev-libs/glib:2
+ >=dev-libs/libxdg-basedir-1
+ >=dev-lua/lgi-0.7
+ x11-libs/cairo[xcb]
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libxcb-1.6
+ >=x11-libs/pango-1.19.3[introspection]
+ >=x11-libs/startup-notification-0.10_p20110426
+ >=x11-libs/xcb-util-0.3.8
+ x11-libs/xcb-util-cursor
+ x11-libs/libXcursor
+ || ( <x11-libs/libX11-1.3.99.901[xcb] >=x11-libs/libX11-1.3.99.901 )
+ dbus? ( >=sys-apps/dbus-1 )
+ elibc_FreeBSD? ( dev-libs/libexecinfo )"
+
+# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
+DEPEND="${COMMON_DEPEND}
+ >=app-text/asciidoc-8.4.5
+ app-text/xmlto
+ dev-util/gperf
+ virtual/pkgconfig
+ media-gfx/imagemagick[png]
+ >=x11-proto/xcb-proto-1.5
+ >=x11-proto/xproto-7.0.15
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ )"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DOCS="AUTHORS BUGS PATCHES README STYLE"
+
+src_prepare() {
+ # bug #408025
+ epatch "${FILESDIR}/${PN}-3.5_rc1-convert-path.patch"
+ epatch "${FILESDIR}/${PN}-xsession.patch"
+
+ # bug #507604
+ epatch "${FILESDIR}/${P}-util.lua-xdg-icons-fix.patch"
+ # bug #509658
+ epatch "${FILESDIR}/${P}-cflag-cleanup.patch"
+ # Kogaion things
+ epatch "${FILESDIR}/kogaion-background.patch"
+}
+
+src_configure() {
+ mycmakeargs=(
+ -DPREFIX="${EPREFIX}"/usr
+ -DSYSCONFDIR="${EPREFIX}"/etc
+ $(cmake-utils_use_with dbus DBUS)
+ $(cmake-utils_use doc GENERATE_DOC)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ local myargs="all"
+
+ if use doc ; then
+ myargs="${myargs} doc"
+ fi
+ cmake-utils_src_make ${myargs}
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ if use doc ; then
+ (
+ cd "${CMAKE_BUILD_DIR}"/doc
+ mv html doxygen
+ dohtml -r doxygen || die
+ )
+ fi
+ rm -rf "${ED}"/usr/share/doc/${PN} || die "Cleanup of dupe docs failed"
+
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}"/${PN}-session ${PN} || die
+
+ # GNOME-based awesome
+ if use gnome ; then
+ # GNOME session
+ insinto /usr/share/gnome-session/sessions
+ newins "${FILESDIR}/${PN}-gnome-3.session" "${PN}-gnome.session" || die
+ # Application launcher
+ domenu "${FILESDIR}/${PN}-gnome.desktop" || die
+ # X Session
+ insinto /usr/share/xsessions/
+ doins "${FILESDIR}/${PN}-gnome-xsession.desktop" || die
+ fi
+}
+
+pkg_postinst() {
+ # bug #447308
+ if use gnome; then
+ elog
+ elog "You have enabled the gnome USE flag."
+ elog "Please note that quitting awesome won't kill your gnome session."
+ elog "To really quit the session, you should bind your quit key"
+ elog "to the following command:"
+ elog " gnome-session-quit --logout"
+ elog "For more info visit"
+ elog " https://bugs.gentoo.org/show_bug.cgi?id=447308"
+ fi
+
+ # bug #440724
+ elog
+ elog "If you are having issues with Java application windows being"
+ elog "completely blank, try installing"
+ elog " x11-misc/wmname"
+ elog "and setting the WM name to LG3D."
+ elog "For more info visit"
+ elog " https://bugs.gentoo.org/show_bug.cgi?id=440724"
+ elog
+}
diff --git a/x11-wm/awesome/files/awesome-3.5.5-cflag-cleanup.patch b/x11-wm/awesome/files/awesome-3.5.5-cflag-cleanup.patch
new file mode 100644
index 00000000..3cfeaba2
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-3.5.5-cflag-cleanup.patch
@@ -0,0 +1,12 @@
+diff -u awesome-3.5.5/awesomeConfig.cmake awesome-3.5.5.new/awesomeConfig.cmake
+--- awesome-3.5.5/awesomeConfig.cmake 2014-08-24 23:28:04.178646000 -0400
++++ awesome-3.5.5.new/awesomeConfig.cmake 2014-08-24 23:28:44.204646000 -0400
+@@ -16,7 +16,7 @@
+ option(GENERATE_DOC "generate API documentation" ON)
+
+ # {{{ CFLAGS
+-add_definitions(-O1 -std=gnu99 -ggdb3 -rdynamic -fno-strict-aliasing -Wall -Wextra
++add_definitions(-std=gnu99 -fno-strict-aliasing -Wall -Wextra
+ -Wchar-subscripts -Wundef -Wshadow -Wcast-align -Wwrite-strings
+ -Wsign-compare -Wunused -Wno-unused-parameter -Wuninitialized -Winit-self
+ -Wpointer-arith -Wformat-nonliteral
diff --git a/x11-wm/awesome/files/awesome-3.5.5-util.lua-xdg-icons-fix.patch b/x11-wm/awesome/files/awesome-3.5.5-util.lua-xdg-icons-fix.patch
new file mode 100644
index 00000000..588f9ab9
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-3.5.5-util.lua-xdg-icons-fix.patch
@@ -0,0 +1,46 @@
+From: Uli Schlachter <psychon@znc.in>
+Date: Sat, 12 Apr 2014 14:15:11 +0000 (+0200)
+Subject: Merge git://github.com/Teknocrat/awesome
+X-Git-Url: http://git.naquadah.org/?p=awesome.git;a=commitdiff_plain;h=d76d3e0b6a00b8b289b3801ba197e0dae732a92d;hp=1090719d677c86e90a1394a34f0effb418728493
+
+Merge git://github.com/Teknocrat/awesome
+---
+
+diff --git a/lib/awful/util.lua.in b/lib/awful/util.lua.in
+index 1d35f2f..123c4a6 100644
+--- a/lib/awful/util.lua.in
++++ b/lib/awful/util.lua.in
+@@ -185,21 +185,24 @@ end
+ -- of the dirs are searched first
+ function util.geticonpath(iconname, exts, dirs, size)
+ exts = exts or { 'png', 'gif' }
+- dirs = dirs or { '/usr/share/pixmaps/' }
++ dirs = dirs or { '/usr/share/pixmaps/', '/usr/share/icons/hicolor/' }
++ icontypes = { 'apps', 'actions', 'categories', 'emblems',
++ 'mimetypes', 'status', 'devices', 'extras', 'places', 'stock' }
+ for _, d in pairs(dirs) do
++ local icon
+ for _, e in pairs(exts) do
+- local icon
+- if size then
+- icon = string.format("%s%ux%u/%s.%s",
+- d, size, size, iconname, e)
+- if util.file_readable(icon) then
+- return icon
+- end
+- end
+ icon = d .. iconname .. '.' .. e
+ if util.file_readable(icon) then
+ return icon
+ end
++ if size then
++ for _, t in pairs(icontypes) do
++ icon = string.format("%s%ux%u/%s/%s.%s", d, size, size, t, iconname, e)
++ if util.file_readable(icon) then
++ return icon
++ end
++ end
++ end
+ end
+ end
+ end
diff --git a/x11-wm/awesome/files/awesome-3.5_rc1-convert-path.patch b/x11-wm/awesome/files/awesome-3.5_rc1-convert-path.patch
new file mode 100644
index 00000000..e6c37b0f
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-3.5_rc1-convert-path.patch
@@ -0,0 +1,12 @@
+diff -Nuar --exclude '*.orig' awesome-3.5-rc1.orig/awesomeConfig.cmake awesome-3.5-rc1/awesomeConfig.cmake
+--- awesome-3.5-rc1.orig/awesomeConfig.cmake 2012-11-24 13:51:33.000000000 +0000
++++ awesome-3.5-rc1/awesomeConfig.cmake 2012-11-24 20:42:23.743412441 +0000
+@@ -56,7 +56,7 @@
+ a_find_program(LUA_EXECUTABLE lua FALSE)
+ a_find_program(LDOC_EXECUTABLE ldoc.lua FALSE)
+ # theme graphics
+-a_find_program(CONVERT_EXECUTABLE convert TRUE)
++a_find_program(CONVERT_EXECUTABLE bin/convert TRUE)
+ # doxygen
+ include(FindDoxygen)
+ # pkg-config
diff --git a/x11-wm/awesome/files/awesome-gnome-3.session b/x11-wm/awesome/files/awesome-gnome-3.session
new file mode 100644
index 00000000..d1bd6fa9
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-gnome-3.session
@@ -0,0 +1,3 @@
+[GNOME Session]
+Name=Awesome session
+RequiredComponents=gnome-settings-daemon;awesome-gnome;
diff --git a/x11-wm/awesome/files/awesome-gnome-xsession.desktop b/x11-wm/awesome/files/awesome-gnome-xsession.desktop
new file mode 100644
index 00000000..9f3d67b9
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-gnome-xsession.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Awesome GNOME
+Comment=GNOME with highly configurable window manager awesome
+TryExec=gnome-session
+Exec=gnome-session --session=awesome-gnome
+Type=XSession
diff --git a/x11-wm/awesome/files/awesome-gnome.desktop b/x11-wm/awesome/files/awesome-gnome.desktop
new file mode 100644
index 00000000..8adf5fcc
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-gnome.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Awesome
+Comment=Highly configurable framework window manager
+NoDisplay=true
+TryExec=/etc/X11/Sessions/awesome
+Exec=/etc/X11/Sessions/awesome
diff --git a/x11-wm/awesome/files/awesome-session b/x11-wm/awesome/files/awesome-session
new file mode 100644
index 00000000..fe769467
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-session
@@ -0,0 +1,90 @@
+#!/bin/sh
+# Awesome Xsession starter, based on Xsession shipped by x11-apps/xinit-1.0.5-r1
+
+# redirect errors to a file in user's home directory if we can
+for errfile in "$HOME/.awesome-errors" "${TMPDIR-/tmp}/awesome-$USER" "/tmp/awesome-$USER"
+do
+ if ( cp /dev/null "$errfile" 2> /dev/null )
+ then
+ chmod 600 "$errfile"
+ exec > "$errfile" 2>&1
+ break
+ fi
+done
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+userxkbmap=$HOME/.Xkbmap
+
+sysresources=/etc/X11/Xresources
+sysmodmap=/etc/X11/Xmodmap
+sysxkbmap=/etc/X11/Xkbmap
+
+rh6sysresources=/etc/X11/xinit/Xresources
+rh6sysmodmap=/etc/X11/xinit/Xmodmap
+
+
+# merge in defaults
+if [ -f "$rh6sysresources" ]; then
+ xrdb -merge "$rh6sysresources"
+fi
+
+if [ -f "$sysresources" ]; then
+ xrdb -merge "$sysresources"
+fi
+
+if [ -f "$userresources" ]; then
+ xrdb -merge "$userresources"
+fi
+
+# merge in keymaps
+if [ -f "$sysxkbmap" ]; then
+ setxkbmap `cat "$sysxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+if [ -f "$userxkbmap" ]; then
+ setxkbmap `cat "$userxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+#
+# Eeek, this seems like too much magic here
+#
+if [ -z "$XKB_IN_USE" -a ! -L /etc/X11/X ]; then
+ if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
+ xkbsymbols=`sed -n -e 's/^[ ]*XkbSymbols[ ]*"\(.*\)".*$/\1/p' /etc/X11/XF86Config /etc/X11/xorg.conf`
+ if [ -n "$xkbsymbols" ]; then
+ setxkbmap -symbols "$xkbsymbols"
+ XKB_IN_USE=yes
+ fi
+ fi
+fi
+
+# xkb and xmodmap don't play nice together
+if [ -z "$XKB_IN_USE" ]; then
+ if [ -f "$rh6sysmodmap" ]; then
+ xmodmap "$rh6sysmodmap"
+ fi
+
+ if [ -f "$sysmodmap" ]; then
+ xmodmap "$sysmodmap"
+ fi
+
+ if [ -f "$usermodmap" ]; then
+ xmodmap "$usermodmap"
+ fi
+fi
+
+unset XKB_IN_USE
+
+# run all system xinitrc shell scripts.
+if [ -d /etc/X11/xinit/xinitrc.d ]; then
+ for i in /etc/X11/xinit/xinitrc.d/* ; do
+ if [ -x "$i" ]; then
+ . "$i"
+ fi
+ done
+fi
+
+exec /usr/bin/awesome
diff --git a/x11-wm/awesome/files/awesome-xsession.patch b/x11-wm/awesome/files/awesome-xsession.patch
new file mode 100644
index 00000000..5a170766
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-xsession.patch
@@ -0,0 +1,9 @@
+--- awesome-3.5.2/awesome.desktop 2013-10-12 12:48:49.000000000 -0400
++++ awesome.desktop 2014-03-29 23:24:01.137547594 -0400
+@@ -3,5 +3,5 @@
+ Name=awesome
+ Comment=Highly configurable framework window manager
+ TryExec=awesome
+-Exec=awesome
++Exec=/etc/X11/Sessions/awesome
+ Type=Application
diff --git a/x11-wm/awesome/files/kogaion-background.patch b/x11-wm/awesome/files/kogaion-background.patch
new file mode 100644
index 00000000..0401265e
--- /dev/null
+++ b/x11-wm/awesome/files/kogaion-background.patch
@@ -0,0 +1,11 @@
+--- themes/default/theme.lua.in.orig 2012-11-24 14:51:33.000000000 +0100
++++ themes/default/theme.lua.in 2012-12-11 19:10:13.980499384 +0100
+@@ -72,7 +72,7 @@
+ theme.titlebar_maximized_button_normal_active = "@AWESOME_THEMES_PATH@/default/titlebar/maximized_normal_active.png"
+ theme.titlebar_maximized_button_focus_active = "@AWESOME_THEMES_PATH@/default/titlebar/maximized_focus_active.png"
+
+-theme.wallpaper = "@AWESOME_THEMES_PATH@/default/background.png"
++theme.wallpaper = "@CMAKE_INSTALL_PREFIX@/share/backgrounds/kogaionlinux.png"
+
+ -- You can use your own layout icons like this:
+ theme.layout_fairh = "@AWESOME_THEMES_PATH@/default/layouts/fairhw.png"
diff --git a/x11-wm/awesome/metadata.xml b/x11-wm/awesome/metadata.xml
new file mode 100644
index 00000000..941885c2
--- /dev/null
+++ b/x11-wm/awesome/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+<email>slawomir.nizio@sabayon.org</email>
+<name>SÅ‚awomir Nizio</name>
+</maintainer>
+</pkgmetadata>
+